Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/referral_codes" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "program_id": "prg_example", "customer_id": "cust_example" }'{ "id": "string", "program_id": "string", "program_version_id": "string", "customer_id": "string", "code": "string", "revoked_at": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/referral_codes/string/revocations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "revoked": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/referral_settlements/string/reviews" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": "0", "decision": "approve", "reason": "verified_review" }'{ "id": "string", "status": "string", "revision": "string", "review_approved": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/referral_settlements/string/corrections" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": "1", "expected_fact_revision": 1, "remaining_value": "0", "reason": "customer_support" }'{ "id": "string", "status": "string", "revision": "string", "review_approved": true}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "draft"
- "active"
- "paused"
- "ended"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/referrals"{ "data": [ { "id": "string", "environment_id": "string", "kind": "referral", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/referrals/string"{ "id": "string", "environment_id": "string", "kind": "referral", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 20481 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/referrals/string/codes"{ "data": [ { "id": "string", "program_id": "string", "customer_id": "string", "code": "string", "status": "active", "created_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 20481 <= length <= 255Value in
- "qualifying"
- "pending"
- "approved"
- "settled"
- "rejected"
- "expired"
- "reversed"
- "cancelled"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/referrals/string/settlements"{ "data": [ { "id": "string", "program_id": "string", "referrer_customer_id": "string", "referred_customer_id": "string", "status": "qualifying", "review": "none", "revision": "string", "fact_revision": 1, "vests_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/referrals/string/settlements/string"{ "id": "string", "program_id": "string", "referrer_customer_id": "string", "referred_customer_id": "string", "status": "qualifying", "review": "none", "revision": "string", "fact_revision": 1, "vests_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z"}